# 38. Query: "UserData" ophalen

Haal de "UserData" op van de geautoriseerde gebruiker.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    e-mail
    totaalOppervlakte
    maxOppervlakte
    oppervlakteEenheid
    taal
    apiSleutel
    aantalBodemDatasetsKlassen
    organisaties {
      uuid
      naam
      achternaam
      voornaam
      e-mail
      telefoon
      aanmaakdatum
      updatedDate
      gebruikers {
        organisatieUuid
        userUuid
        e-mail
        alleBoerderijen
        aanmaakdatum
        updatedDate
        boerderijen {
          uuid
          userUuid
          naam
          aanmaakdatum
          updatedDate
          farmOwnership
          e-mail
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/38.-query-userdata-ophalen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
